# OpenML dataset: madelon

https://www.openml.org/d/1485

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Isabelle Guyon  
**Source**: [UCI](http://archive.ics.uci.edu/ml/datasets/madelon)  
**Please cite**: Isabelle Guyon, Steve R. Gunn, Asa Ben-Hur, Gideon Dror, 2004. Result analysis of the NIPS 2003 feature selection challenge.

#### Abstract: 

MADELON is an artificial dataset, which was part of the NIPS 2003 feature selection challenge. This is a two-class classification problem with continuous input variables. The difficulty is that the problem is multivariate and highly non-linear.

#### Source:

Isabelle Guyon 
Clopinet 
955 Creston Road 
Berkeley, CA 90708 
isabelle '@' clopinet.com 

#### Data Set Information:

MADELON is an artificial dataset containing data points grouped in 32 clusters placed on the vertices of a five-dimensional hypercube and randomly labeled +1 or -1. The five dimensions constitute 5 informative features. 15 linear combinations of those features were added to form a set of 20 (redundant) informative features. Based on those 20 features one must separate the examples into the 2 classes (corresponding to the +-1 labels). It was added a number of distractor feature called 'probes' having no predictive power. The order of the features and patterns were randomized. 

This dataset is one of five datasets used in the NIPS 2003 feature selection challenge. The original data was split into training, validation and test set. Target values are provided only for two first sets (not for the test set). So, this dataset version contains all the examples from training and validation partitions. 

There is no attribute information provided to avoid biasing the feature selection process.

#### Relevant Papers:

The best challenge entrants wrote papers collected in the book: 
Isabelle Guyon, Steve Gunn, Masoud Nikravesh, Lofti Zadeh (Eds.), Feature Extraction, Foundations and Applications. Studies in Fuzziness and Soft Computing. Physica-Verlag, Springer.

Isabelle Guyon, et al, 2007. Competitive baseline methods set new standards for the NIPS 2003 feature selection benchmark. Pattern Recognition Letters 28 (2007) 1438–1444. 

Isabelle Guyon, et al. 2006. Feature selection with the CLOP package. Technical Report.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/1485) of an [OpenML dataset](https://www.openml.org/d/1485). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/1485/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/1485/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/1485/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

